Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionTwentyThreeToVersionTwentyFourUpgrader

    java.lang.Object
      com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
          com.atlassian.bamboo.upgrader.VersionTwentyThreeToVersionTwentyFourUpgrader

All Implemented Interfaces:
  Upgrader

    public class VersionTwentyThreeToVersionTwentyFourUpgrader

extends AbstractBuildUpgrader

Moves the build download data directory subdirs to be in the build directory

Constructor Summary
`VersionTwentyThreeToVersionTwentyFourUpgrader(File buildDirectory)` Initialise the upgrader with the location of the build data files

Method Summary
`protected void` | `updateBuildFile(File buildFile)`
`void` | `upgrade()` Updgrade the build and configuration files one version

Methods inherited from class com.atlassian.bamboo.upgrader.AbstractBuildUpgrader
`getBuildDirectory, getXStreamPersister, readInTheBuildFile, readInTheBuildFile, saveBuildBackToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionTwentyThreeToVersionTwentyFourUpgrader

    public VersionTwentyThreeToVersionTwentyFourUpgrader(File buildDirectory)

  Initialise the upgrader with the location of the build data files

  Parameters:
    `buildDirectory` - The location of the Bamboo build files

Method Detail

### upgrade

    public void upgrade()

  Description copied from class: `AbstractBuildUpgrader`
  Updgrade the build and configuration files one version

  Specified by:
    `upgrade` in interface `Upgrader`
  Overrides:
    `upgrade` in class `AbstractBuildUpgrader`

### updateBuildFile

    protected void updateBuildFile(File buildFile)

  Specified by:
    `updateBuildFile` in class `AbstractBuildUpgrader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.